Subject: bug#72704: 29.4; repunctuate-sentences ignores NO-QUERY

From: Brian Green <[email-masked]>
Date: Sat, 24 Aug 2024 11:23:39 -0700

This seems crystal clear to me.  Yes, someone would have to rebind '!'
in the query-replace-map to some absurdly long key sequence in order
to mess up the text wrapping.

Brian

On Sat, Aug 24, 2024 at 10:09 AM Joseph Turner
<[email-masked]> wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> From: Brian Green <[email-masked]>
> >> Date: Sat, 24 Aug 2024 01:29:11 -0700
> >> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked], [email-masked]
> >>
> >> I submitted this "bug" report because I mis-interpreted the docstring,
> >> and because I was approaching this command with a preconceived idea
> >> about how it should work.  I think Eli is right.  I can't think of a
> >> good reason why I would need to stipulate a certain behavior before
> >> calling the command which I can already get at any point while the
> >> command is running.
> >
> > The doc string indeed could use some improvements, at least in stating
> > explicitly what happens in interactive usage and what only when called
> > from Lisp.
>
> See patch.  Is the text wrapping acceptable?  It looks too long in
> paragraphs.el but good in the *Help* buffer.
>